Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023333
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2013-03-18 17:472013-11-06 16:46
ReporterjohnfandlView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP26
StatusclosedFix in branchFixed in SCM revision45c12f01b881
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023333: Direct link to view does not work when a filter is active

DescriptionLinking to a view does not work, when there is a filter.


Steps To ReproduceSee attached document "Direct link to view does not work when a filter and or saved view is active".
Proposed SolutionFix linking to a tab with filters applied.
TagsNo tags attached.
Attached Filespdf file icon Direct link to view does not work when a filter and or saved view is active.pdf [^] (1,358,209 bytes) 2013-03-18 17:47

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0023487 newAugustoMauch Include and apply saved view information in the direct link functionality. 
related to defect 0024577 closedAugustoMauch "Direct link url which contains explicit criteria" does not work in case of "implicit filter" or "default view" on the window 
related to defect 00256363.0PR14Q2 closedalostale Saved view filter reapplied after adding a column in grid 

-  Notes
(0057722)
AugustoMauch (developer)
2013-04-04 10:54

Hi John,

I am doing to split this issue in two. The filtering part is a defect, because it is getting included in the link, but then it is not being applied. The saved views part is a feature request.

With regards,

Augusto
(0060367)
hgbot (developer)
2013-07-30 10:08

Repository: erp/devel/pi
Changeset: 45c12f01b881c56984d05e6fe28a9c2465b57b29
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 30 13:35:02 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/45c12f01b881c56984d05e6fe28a9c2465b57b29 [^]

Fixes Issue 0023333: Direct link to view does not work when a filter is active

When the direct link url contains criteria, it is stored in the grid initial criteria in setView method.
In refreshContents, the initial criteria is removed before forming the criteria.
Added logic to remove it there is no additionalCriteria

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0060370)
hgbot (developer)
2013-07-30 11:20

Repository: erp/devel/pi
Changeset: ade9887c69071e1e4a4a31e95088a5953499b2cd
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 30 14:45:59 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ade9887c69071e1e4a4a31e95088a5953499b2cd [^]

Related to Issue 023333 : js formatting

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0060378)
AugustoMauch (developer)
2013-07-30 14:09

Code reviewed and verified in pi@ade9887c6907
(0060439)
hudsonbot (developer)
2013-07-31 20:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4dbc2065ad03 [^]

Maturity status: Test
(0060440)
hudsonbot (developer)
2013-07-31 20:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4dbc2065ad03 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-03-18 17:47 johnfandl New Issue
2013-03-18 17:47 johnfandl Assigned To => dbaz
2013-03-18 17:47 johnfandl File Added: Direct link to view does not work when a filter and or saved view is active.pdf
2013-03-18 17:47 johnfandl Modules => Core
2013-03-18 17:47 johnfandl Triggers an Emergency Pack => No
2013-03-18 17:51 dbaz Assigned To dbaz => AugustoMauch
2013-04-04 10:54 AugustoMauch Note Added: 0057722
2013-04-04 11:04 AugustoMauch Relationship added related to 0023487
2013-04-04 11:04 AugustoMauch Summary Direct link to view does not work when a filter and or saved view is active => Direct link to view does not work when a filter is active
2013-04-04 11:04 AugustoMauch Description Updated View Revisions
2013-04-04 11:04 AugustoMauch Proposed Solution updated
2013-05-02 10:58 AugustoMauch Assigned To AugustoMauch => shankarb
2013-07-28 03:12 shankarb Assigned To shankarb => AugustoMauch
2013-07-28 12:34 shankarb Assigned To AugustoMauch => shankarb
2013-07-30 09:49 shankarb Status new => scheduled
2013-07-30 09:49 shankarb fix_in_branch => pi
2013-07-30 10:07 shankarb Review Assigned To => AugustoMauch
2013-07-30 10:07 shankarb fix_in_branch pi =>
2013-07-30 10:08 shankarb Issue Monitored: AugustoMauch
2013-07-30 10:08 hgbot Checkin
2013-07-30 10:08 hgbot Note Added: 0060367
2013-07-30 10:08 hgbot Status scheduled => resolved
2013-07-30 10:08 hgbot Resolution open => fixed
2013-07-30 10:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/45c12f01b881c56984d05e6fe28a9c2465b57b29 [^]
2013-07-30 11:20 hgbot Checkin
2013-07-30 11:20 hgbot Note Added: 0060370
2013-07-30 14:09 AugustoMauch Note Added: 0060378
2013-07-30 14:09 AugustoMauch Status resolved => closed
2013-07-30 14:09 AugustoMauch Fixed in Version => 3.0MP26
2013-07-31 20:56 hudsonbot Checkin
2013-07-31 20:56 hudsonbot Note Added: 0060439
2013-07-31 20:56 hudsonbot Checkin
2013-07-31 20:56 hudsonbot Note Added: 0060440
2013-08-26 07:25 shankarb Relationship added related to 0024577
2013-11-06 16:46 dbaz Issue Monitored: dbaz
2014-02-04 15:28 alostale Relationship added related to 0025636


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker